#!/usr/bin/perl -w

#   Copyright (C) 2006 David G. Jacobowitz 
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

package fgroup;
use Exporter 'import';

@EXPORT_OK = qw(new);

sub new {
 my $proto           = shift;
 my $oo              = shift;
 my $gb_ref          = shift;
 my $dm_ref          = shift;
 my $self            = {};
 my $class           = ref($proto) || $proto;
 $self->{dm}     = $dm_ref;
 $self->{gb}     = $gb_ref;
 $self->{oo}     = $oo;
 bless ($self,$class);
 return $self;
}

sub commands {
 my $self = shift;
 my @cmds = ();
 die "commands called on virtual instance of fgroup";
 return @cmds;
}

1;
