#!/usr/bin/perl -w

use strict;

my $lf = $ARGV[0];

if (defined($lf)) {
 open(IF,"< " . $lf) || die "Could not open input file $lf.";
 my $df = $lf;
 $df =~ s/\....$//; $df .= ".do";
 open(OF,"> " . $df) || die "Could not open output file $df.";
 my $last    = "";
 my $last_go = 0;
 while (<IF>) {
  my $il = $_; chomp $il;

  if ($last_go && !($il =~ /^>\s*fail;/)) {
   print OF $last . "\n";
  }

  if ($il =~ s/^\s*\.\s*//) {
    $last = $il;
    $last_go = 1;
  } else {
    $last_go = 0;
  }
 }
 close IF;
 close OF;
}
